import { apiFinancialUsingFundsDetailLists } from '@/api/financial_using_funds'

const detailConfig = {
    title: "财务管理--用款申请单",
    config: [
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "审批部门",
            value: "approve_dept_name"
        },
        {
            label: "费用类别",
            value: "cost_type_text"
        },
        {
            label: "支付方式",
            value: "pay_type_text"
        },
        {
            label: "付款原因",
            value: "pay_reason"
        },
        {
            label: "支出合同",
            value: "contract_name"
        },
        {
            label: "已支付金额",
            value: "has_pay_amount"
        },
        {
            label: "本次支付金额",
            value: "this_pay_amount"
        },
        {
            label: "付往单位",
            value: "accept_company",
        },
        {
            label: "收款账号",
            value: "accept_acount"
        },
        {
            label: "开户省份",
            value: "province_name"
        },

        {
            label: "开户城市",
            value: "city"
        },
        {
            label: "收款银行",
            value: "accept_bank"
        },
        {
            label: "收款开户行",
            value: "accept_deposit"
        },
        {
            label: "附单据张数",
            value: "bill_num"
        },
        {
            label: "事由",
            value: "content"
        },
        {
            label: "申请人",
            value: "create_user"
        },
        {
            label: "申请时间",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1
        },

    ],
    table: {
        title: "用款申请明细",
        tableConfig: [
            {
                label: "部门",
                value: 'dept_name',
            },
            {
                label: "发生日期",
                value: 'date'
            },
            {
                label: "科目名称",
                value: 'subject_name_text',
            },
            {
                label: "金额",
                value: 'amount',
            },
            {
                label: "摘要",
                value: 'abstract',
            },
            {
                label: "关联发票",
                value: 'invoice',
            },
        ],
        query: 'using_funds_id',
        fetchFun: apiFinancialUsingFundsDetailLists,
    }

}
export default detailConfig;